summaryrefslogtreecommitdiff
path: root/dev-python/pyglet
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/pyglet')
-rw-r--r--dev-python/pyglet/Manifest1
-rw-r--r--dev-python/pyglet/pyglet-2.1.13.ebuild2
-rw-r--r--dev-python/pyglet/pyglet-2.1.14.ebuild80
3 files changed, 82 insertions, 1 deletions
diff --git a/dev-python/pyglet/Manifest b/dev-python/pyglet/Manifest
index 093444b58758..a9cfcca25b92 100644
--- a/dev-python/pyglet/Manifest
+++ b/dev-python/pyglet/Manifest
@@ -1,2 +1,3 @@
DIST pyglet-2.1.11.tar.gz 6594448 BLAKE2B 7fc10e9e2ebfd6b122fb6414aca7f4c1abddef1ef1d36ee3724a03b5f604ba4b537455c02cf7db02f95ac81b180b7f12900ba94e7beec264906c8b6c857f5711 SHA512 72a5fdc2f43cd3104f41831f7aaf7b66c4411c51db4d03b87c97706ec72756dfc441f1ab6c950030d5b4b5ee92cb7ebc16eca3e4f6a4c43e7e78636e511bfc47
DIST pyglet-2.1.13.tar.gz 6594811 BLAKE2B 05ebbd82913fcd811f4ec12377107baaa88961c8b0bc23e64905379b6e12767b42ce4adf65c414a24b17687fb2365f54ff8e5aaa723582c449f10aa8d7df4089 SHA512 d0fd1526183767ac1f94df2c13f18e3076a8e1b5177a5cb58b6ef354929b3f9710e442c4c2bbad437c808b949d0e956524c427419a073b0cfad87f54b5c4ff9a
+DIST pyglet-2.1.14.tar.gz 6595146 BLAKE2B 1a2b59b61183eab83362af9f2eedf9267c64b287d8b1601557abe18660ce078181169e7d4c7378367d87f653a0f6721b8ece71eb818742753a5823f481af9ea3 SHA512 f9a219d9e49268bfd7f8979e037e779f243f2576ea57553d1ef1ccce72f1d9d5b1c791fc29d3faad7abc59855e366e2e51d3a0e0e646fcd8804def5a2d3fd519
diff --git a/dev-python/pyglet/pyglet-2.1.13.ebuild b/dev-python/pyglet/pyglet-2.1.13.ebuild
index 79ffdb1ba2e3..d3902e5912fe 100644
--- a/dev-python/pyglet/pyglet-2.1.13.ebuild
+++ b/dev-python/pyglet/pyglet-2.1.13.ebuild
@@ -18,7 +18,7 @@ HOMEPAGE="
LICENSE="BSD"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+KEYWORDS="~amd64 ~arm arm64 ~loong ~ppc64 ~riscv ~x86"
IUSE="examples image +sound"
RDEPEND="
diff --git a/dev-python/pyglet/pyglet-2.1.14.ebuild b/dev-python/pyglet/pyglet-2.1.14.ebuild
new file mode 100644
index 000000000000..79ffdb1ba2e3
--- /dev/null
+++ b/dev-python/pyglet/pyglet-2.1.14.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..14} )
+
+inherit distutils-r1 pypi virtualx xdg-utils
+
+MY_P=${P/_/.}
+DESCRIPTION="Cross-platform windowing and multimedia library for Python"
+HOMEPAGE="
+ https://pyglet.org/
+ https://github.com/pyglet/pyglet/
+ https://pypi.org/project/pyglet/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="examples image +sound"
+
+RDEPEND="
+ virtual/glu
+ virtual/opengl
+ image? (
+ || (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ x11-libs/gtk+:2
+ )
+ )
+ sound? (
+ || (
+ media-libs/libpulse
+ media-libs/openal
+ )
+ )
+"
+# ffmpeg? ( media-libs/avbin-bin )
+BDEPEND="
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ media-libs/fontconfig
+ x11-base/xorg-server[-minimal]
+ )
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ xdg_environment_reset
+
+ local EPYTEST_DESELECT=(
+ # lacking device/server permissions
+ tests/unit/media/test_listener.py::test_openal_listener
+ tests/unit/media/test_listener.py::test_pulse_listener
+ # fragile to system load
+ tests/unit/media/test_player.py::PlayerTestCase::test_pause_resume
+ tests/unit/test_clock_freq.py::test_elapsed_time_between_tick
+ )
+
+ # Specify path to avoid running interactive tests
+ # We could add in integration tests, but they're slow
+ nonfatal epytest tests/unit || die "Tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ distutils-r1_python_install_all
+}